Mypage-Cards-Settings
Endpoints for Mypage-Cards-Settings
Endpoints for Mypage-Cards-Settings
GET/api/v1/setting/mypage-cards
Authentication: Bearer token (JWT)
titleTranslationRequired when parent is presentCan be null5 fields[].titleenstringRequired when parent is presentField path: [].title.ennostringRequired when parent is presentField path: [].title.nosvstringField path: [].title.svdastringField path: [].title.dakeystringField path: [].title.key[
{
"title": {},
"description": {},
"id": 0,
"link": "string",
"cardType": "subrite_standard",
"showOnMyPage": true,
"display_order": 0
}
]unauthorized
This response has no body.
forbiddenResource
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorscurlcurl https://api.subrite.no/api/v1/setting/mypage-cards \
--header 'Authorization: Bearer <token>'POST/api/v1/setting/mypage-cards
Authentication: Bearer token (JWT)
application/jsontitleTranslationRequired5 fieldstitleenstringRequiredField path: title.enGET/api/v1/setting/mypage-cards/{id}
Authentication: Bearer token (JWT)
idnumberRequiredDELETE/api/v1/setting/mypage-cards/{id}
Authentication: Bearer token (JWT)
idnumberRequiredThis response has no body.
PATCH/api/v1/setting/mypage-cards/{id}
Authentication: Bearer token (JWT)
idnumberRequiredapplication/jsontitleTranslationOptionalPATCH/api/v1/setting/mypage-cards/display-order/all
Authentication: Bearer token (JWT)
application/jsoncardTypeMypageCardsTypeRequired when parent is present"subrite_standard", "custom"display_ordernumberdescriptionTranslationRequired when parent is presentCan be null5 fields[].descriptionenstringRequired when parent is presentField path: [].description.ennostringRequired when parent is presentField path: [].description.nosvstringField path: [].description.svdastringField path: [].description.dakeystringField path: [].description.keyidnumberRequired when parent is presentlinkstringRequired when parent is presentcardTypestringRequired when parent is present"subrite_standard", "custom"showOnMyPagebooleanRequired when parent is presentdisplay_ordernumberRequired when parent is presentfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}nostringRequiredsvstringOptionalField path: title.svdastringOptionalField path: title.dakeystringOptionalField path: title.keylinkstringRequiredcardTypeMypageCardsTypeRequired"subrite_standard", "custom"descriptionTranslationOptional2 required when the containing object is present5 fieldsdescriptionenstringRequired when parent is presentField path: description.ennostringRequired when parent is presentField path: description.nosvstringOptionalField path: description.svdastringOptionalField path: description.dakeystringOptionalField path: description.keyshowOnMyPagebooleanOptionaltruedisplay_ordernumberRequiredminimum: 0{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"link": "string",
"cardType": "subrite_standard",
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"showOnMyPage": true,
"display_order": 0
}titleTranslationRequiredCan be null5 fieldstitleenstringRequired when parent is presentField path: title.ennostringRequired when parent is presentField path: title.nosvstringField path: title.svdastringField path: title.dakeystringField path: title.keydescriptionTranslationRequiredCan be null5 fieldsdescriptionenstringRequired when parent is presentField path: description.ennostringRequired when parent is presentField path: description.nosvstringField path: description.svdastringField path: description.dakeystringField path: description.keyidnumberRequiredlinkstringRequiredcardTypestringRequired"subrite_standard", "custom"showOnMyPagebooleanRequireddisplay_ordernumberRequired{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"id": 0,
"link": "string",
"cardType": "subrite_standard",
"showOnMyPage": true,
"display_order": 0
}Body validation failed
messageCodestringRequired"badRequest"messagestringerrorsunauthorized
This response has no body.
forbiddenResource
Same fields as Get mypage cards settings of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/setting/mypage-cards \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"link": "string",
"cardType": "subrite_standard",
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"showOnMyPage": true,
"display_order": 0
}'MypageCardsSettingsResponseDtotitleTranslationRequiredCan be null5 fieldstitleenstringRequired when parent is presentField path: title.ennostringRequired when parent is presentField path: title.nosvstringField path: title.svdastringField path: title.dakeystringField path: title.keydescriptionTranslationRequiredCan be null5 fieldsdescriptionenstringRequired when parent is presentField path: description.ennostringRequired when parent is presentField path: description.nosvstringField path: description.svdastringField path: description.dakeystringField path: description.keyidnumberRequiredlinkstringRequiredcardTypestringRequired"subrite_standard", "custom"showOnMyPagebooleanRequireddisplay_ordernumberRequired{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"id": 0,
"link": "string",
"cardType": "subrite_standard",
"showOnMyPage": true,
"display_order": 0
}The id is not an integer
Same fields as Create a new my page card settings for a tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get mypage cards settings of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}mypageCardNotFound
messageCodestringRequired"mypageCardNotFound"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "mypageCardNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
--header 'Authorization: Bearer <token>'The id is not an integer
Same fields as Create a new my page card settings for a tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get mypage cards settings of a tenant (403).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}mypageCardNotFound
Same fields as Get a mypage card settings of a tenant by id (404).
{
"messageCode": "mypageCardNotFound",
"message": "string",
"errors": [
{}
]
}curlcurl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
--request DELETE \
--header 'Authorization: Bearer <token>'titleenstringRequired when parent is presentField path: title.ennostringRequired when parent is presentField path: title.nosvstringOptionalField path: title.svdastringOptionalField path: title.dakeystringOptionalField path: title.keylinkstringOptionalcardTypeMypageCardsTypeOptional"subrite_standard", "custom"descriptionTranslationOptional2 required when the containing object is present5 fieldsdescriptionenstringRequired when parent is presentField path: description.ennostringRequired when parent is presentField path: description.nosvstringOptionalField path: description.svdastringOptionalField path: description.dakeystringOptionalField path: description.keyshowOnMyPagebooleanOptionaltruedisplay_ordernumberOptionalminimum: 0{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"link": "string",
"cardType": "subrite_standard",
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"showOnMyPage": true,
"display_order": 0
}Same fields as Get a mypage card settings of a tenant by id (200).
{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"id": 0,
"link": "string",
"cardType": "subrite_standard",
"showOnMyPage": true,
"display_order": 0
}Body validation failed, or the id is not an integer
Same fields as Create a new my page card settings for a tenant (400).
unauthorized
This response has no body.
forbiddenResource
Same fields as Get mypage cards settings of a tenant (403).
mypageCardNotFound
Same fields as Get a mypage card settings of a tenant by id (404).
curlcurl 'https://api.subrite.no/api/v1/setting/mypage-cards/{id}' \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"link": "string",
"cardType": "subrite_standard",
"description": {
"en": "string",
"no": "string",
"sv": "string",
"da": "string",
"key": "string"
},
"showOnMyPage": true,
"display_order": 0
}'minimum: 0idnumberRequired when parent is presentminimum: 1[
{
"cardType": "subrite_standard",
"display_order": 0,
"id": 1
}
]This response has no body.
Body validation failed
Same fields as Create a new my page card settings for a tenant (400).
{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
forbiddenResource
Same fields as Get mypage cards settings of a tenant (403).
mypageCardNotFound
Same fields as Get a mypage card settings of a tenant by id (404).
curlcurl https://api.subrite.no/api/v1/setting/mypage-cards/display-order/all \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"cardType": "subrite_standard",
"display_order": 0,
"id": 1
}
]'array of FieldErrorerrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is presentField path: errors[].errorType{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "badRequest",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "mypageCardNotFound",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}{
"messageCode": "mypageCardNotFound",
"message": "string",
"errors": [
{}
]
}